Bug 46014 - LibreOffice cannot connect to the internet via a proxy that requires authentification
Summary: LibreOffice cannot connect to the internet via a proxy that requires authenti...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2012-02-13 18:17 UTC by honfui
Modified: 2019-05-16 03:13 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description honfui 2012-02-13 18:17:54 UTC
The proxy issue is a very long outstanding issue, since OpenOffice.org back to 2004. Every new version OpenOffice or LibreOffice came out, that is the first things I tested. It is the biggest barrier for me to move from other commercial spreadsheet to LO/OO. Below is the problem description.

Open a worksheet. Insert -> Link to External Data. Type a webpage URL that contain tables into the box, then press Enter. I tried various settings in the Internet Proxy - it still cannot connect to Internet. In OO bugzilla, someone recommended libproxy. Is that something can be done easily? I think the UI need bit of overhaul.. more friendly. Thanks.
Comment 1 sasha.libreoffice 2012-05-17 07:52:16 UTC
Thanks for bugreport
See also Bug 35040, Bug 47331, Bug 47603, Bug 49043 and some another. Very interesting problem.
Comment 2 Moritz Moeller-Herrmann 2012-08-09 09:41:52 UTC
Hello, I can confirm that LibreOffice is not able to access the internet under windows from within a common business network that restricts Internet access to a filtering proxy.

The Proxy is detected by setting a script or automatically by both IE and Firefox, but Libreoffice fails to detect the script or read the IE settings.

Blocks a lot of people from using libreoffice professionally and forces me to do updates manually (they are never detected).

The corresponding openoffice bug is here:

https://issues.apache.org/ooo/show_bug.cgi?id=59287
Comment 3 QA Administrators 2015-01-05 17:52:04 UTC Comment hidden (obsolete)
Comment 4 honfui 2015-01-06 01:52:23 UTC
As requested, downloaded and tested. Details are as follows:-

LibreOffice Version: 4.3.5.2 (Portable)
Platform : Windows (Windows 7 64 bit)

Test procedure:-
1. Test data/table download from M$ Excel from URL.
   (https://uniservices1.uob.com.my/jsp/finance/fin_xrate.jsp?)
2. Excel CAN download data from the URL.
3. Open Calc.
4. Calc -> Options -> Internet -> Proxy.
   Proxy server = "System".
5. Insert -> Link to External Data..
6. Error "Could not establish Internet connection to uniservices.uob.com.my."
7. Configured Calc Proxy = "None"
8. Close Calc & Re-open
9. Repeat step 5. Error (Step 6) appeared again.

Conclusion: Bugs still present. Software behavior is not per expectation.
Comment 5 Moritz Moeller-Herrmann 2016-02-18 16:00:30 UTC
Still not fixed in version 5.1 - means LO is still not usable for the rare business that uses a mandatory filtering proxy (i.e. any decent size company).
Comment 6 Giuseppe Castagno (aka beppec56) 2016-05-06 07:10:19 UTC
(In reply to Moritz Moeller-Herrmann from comment #5)
> Still not fixed in version 5.1 - means LO is still not usable for the rare
> business that uses a mandatory filtering proxy (i.e. any decent size
> company).

I'm working on bug 99246, this is probably in the same area.

Couple of questions:

1) did you try with proxy manual setting on LO?
2) what kind of authentication do the server have?
Comment 7 Hans Deragon 2017-01-27 14:09:40 UTC
Works in manual setting on LibreOffice Version: 5.2.4.

Oddly, I cannot try "system" setting.  When I select "system" and click "ok", as soon as I return to the proxy dialog bug, the "manual" setting shows up.  LO refuses to go back to "system" setting.  No message shows up.
Comment 8 Xisco Faulí 2017-06-12 11:39:42 UTC
Changing version back to the earliest affected version.
Comment 9 Moritz Moeller-Herrmann 2018-02-14 11:59:59 UTC
Still does not work in libreoffice 6.0 - neither setting proxy to "system" nor "manual" work, though an authentication dialog pops up once (and then fails to authenticate, if system credentials are chosen).
Comment 10 MarGeb 2018-04-18 14:55:08 UTC
Sorry, but actually LibO‘s proxy support is a very annoying thing.

I can confirm that LibO doesn‘t understand scripts or IE settings.

So I configured our proxy manually in the settings. Now when trying to access a weblink, LibO prompts me for credentials. Instead of entering them, ticking “use system credentials” let’s me access the web.

Why is “use system credentials” not the default behavior? I think that the integrated authentication would work in most cases and only if not, LibO should prompt the user for his credentials. The next problem here: this setting can't be set in the options and so users have to tick it again each time they start LibO.

To avoid that I decided to create a “proxy user” and stored its credentials in the settings for all users. On the first view it worked but then I noticed, that LibO for some weird reason doesn’t save this credentials for the proxy itself, but only for the accessed website and you have to re-enter it again and again.

Please fix that ASAP because at the moment LibO is unsuitable for all environments running a webproxy.

For now making integrated authentication as a default and saving the „use system credentials“ setting could be helpful.

Markus
Comment 11 QA Administrators 2019-05-16 03:13:42 UTC
Dear honfui,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug